Subject: Re: bug#57800: TRAMP insert-file-contents now fails for regions

From: Michael Albinus <[email-masked]>
Date: Sat, 01 Oct 2022 17:18:56 +0200

Paul Pogonyshev <[email-masked]> writes:

Hi Paul,

> Thanks. I suggest also adding a simple "version" to the cache.
> Whenever you make an incompatible change in the future, bump this
> version. And also make Tramp automatically discard all cached values
> when they come from a different (earlier or even a later) version.
> Otherwise something like this will certainly happen again sooner or
> later and will cost both the person bumping into it and you or whoever
> responds to the bugreport a lot of time again.

That's a good idea, thanks! I've pushed a respective change to master.

However, the cache doesn't keep its own version, it uses just the Tramp
version for check. Using an own cache version is error-prone, there are
good chances to forget to change it when needed. At least *I* would
forget it always, as far as I know me.

> Paul

Best regards, Michael.